# Class ProcessExecutor.ExitStatusAndOutput

java.lang.Object
htsjdk.samtools.util.ProcessExecutor.ExitStatusAndOutput

Enclosing class:
  `ProcessExecutor`

public static class ProcessExecutor.ExitStatusAndOutput extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final int`
`exitStatus`
`final String`
`stderr`
May be null if interleaved
`final String`
`stdout`

## Constructor Summary

Constructors
Constructor
Description
`ExitStatusAndOutput(int exitStatus, String stdout, String stderr)`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### exitStatus

public final int exitStatus

### stdout

public final String stdout

### stderr

public final String stderr
May be null if interleaved

## Constructor Details

### ExitStatusAndOutput

public ExitStatusAndOutput(int exitStatus, String stdout, String stderr)